"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert = __importStar(require("assert"));
const typescript_ast_util_1 = require("typescript-ast-util");
class EvalContextUtilImpl {
    constructor() {
        this.positionOrRangeToRange = typescript_ast_util_1.positionOrRangeToRange;
        this.positionOrRangeToNumber = typescript_ast_util_1.positionOrRangeToNumber;
        this.findChildContainingRange = typescript_ast_util_1.findChildContainingRange;
        this.findChildContainingPosition = typescript_ast_util_1.findChildContainingPosition;
        this.findChildContainedRange = typescript_ast_util_1.findChildContainedRange;
        this.nodeAtCursor = typescript_ast_util_1.findChildContainingPosition;
        this.getDiagnosticsInCurrentLocation = typescript_ast_util_1.getDiagnosticsInCurrentLocation;
        this.getKindName = typescript_ast_util_1.getKindName;
        this.findAscendant = typescript_ast_util_1.findAscendant;
        this.filterChildren = typescript_ast_util_1.filterChildren;
        this.getAscendants = typescript_ast_util_1.getAscendants;
        this.findChild = (n, predicate) => typescript_ast_util_1.findChild(n, predicate, false);
        this.findDescendants = typescript_ast_util_1.findChild;
        this.assert = assert;
        this.printNode = typescript_ast_util_1.dumpNode;
        this.printNodes = typescript_ast_util_1.dumpNodes;
    }
    printAst(node, getChildrenMode = false) {
        return typescript_ast_util_1.dumpAst(node.compilerNode || node, getChildrenMode);
    }
    asAny(obj) { return obj; }
}
exports.EvalContextUtilImpl = EvalContextUtilImpl;
